# eric4.QScintilla.Lexers.LexerRuby

Module implementing a Ruby lexer with some additional methods.

### Global Attributes

None

### Classes

LexerRuby | Subclass to implement some additional lexer dependent methods.

### Functions

None

## LexerRuby

Subclass to implement some additional lexer dependent methods.

### Derived from

QsciLexerRuby, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerRuby | Constructor
autoCompletionWordSeparators | Public method to return the list of separators for autocompletion.
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerRuby (Constructor)

LexerRuby(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerRuby.autoCompletionWordSeparators

autoCompletionWordSeparators()

Public method to return the list of separators for autocompletion.

Returns:
  list of separators (QStringList)

#### LexerRuby.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerRuby.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerRuby.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerRuby.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up